<template functional>
  <div
    :ref="data.ref"
    class="a-box-l"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <!--
      @slot The contents of the box.
    -->
    <slot />
  </div>
</template>

<script>
export default {
  name: 'ABoxL',
};
</script>

<style scoped>
.a-box-l {
  --a-box-l--def-outline: 0.125rem; /* theme('borderWidth.2') */

  /* ↓ For high contrast mode */
  outline: var(--a-box-l--def-outline) solid transparent;
  outline-offset: calc(var(--a-box-l--def-outline) * -1);
}
.a-box-l:not(.reset) {
  --a-box-l--def-p: 1.5rem; /* theme('padding.6') */
  --a-box-l--def-text-color: inherit;
  --a-box-l--def-bg-color: inherit;
  --a-box-l--def-border: 0; /* theme('borderWidth.0') */
  --a-box-l--def-border-color: inherit;

  padding: var(--a-box-l--p, var(--a-box-l--def-p));
  color: var(--a-box-l--text-color, var(--a-box-l--def-text-color));
  background-color: var(--a-box-l--bg-color, var(--a-box-l--def-bg-color));
  border-width: var(--a-box-l--border, var(--a-box-l--def-border));
  border-color: var(--a-box-l--border-color, var(--a-box-l--def-border-color));
  border-style: solid;
}
.a-box-l * {
  color: inherit;
}
</style>
